# TaskOutcome

enum TaskOutcome

The outcome of executing a task during a build.

#### Since

2.6

#### See also

BuildTask

## Entries

SUCCESS
Link copied to clipboard
SUCCESS

The task executed and performed its actions without failure.

FAILED
Link copied to clipboard
FAILED

The task attempted to execute, but did not complete successfully.

UP_TO_DATE
Link copied to clipboard
UP_TO_DATE

The task was not executed, as its output was up to date.

SKIPPED
Link copied to clipboard
SKIPPED

The task was not executed due to some reason. For Gradle version <3.4, a task may be skipped if it had no work to do (e.g. no source to compile).

FROM_CACHE
Link copied to clipboard
FROM_CACHE

The task executed, but did not perform work as its output was found in a build cache.

NO_SOURCE
Link copied to clipboard
NO_SOURCE

The task was skipped due to all input files declared with `@SkipWhenEmpty` being empty.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): TaskOutcome

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<TaskOutcome>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.